//
//  MyLine.h
//  TestLines
//
//  Created by Cameron Hayne on 28/02/06.
//  Copyright 2006 Hayne of Tintagel.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#import <Cocoa/Cocoa.h>

@interface MyLine : NSObject
{
    NSPoint  start, end;
    NSColor *color;
    float    width;
}

+ (id)lineFrom:(NSPoint)start To:(NSPoint)end Color:(NSColor *)color Width:(float)width;
- (NSPoint)start;
- (void)setStart:(NSPoint)aPoint;
- (NSPoint)end;
- (void)setEnd:(NSPoint)aPoint;
- (NSColor *)color;
- (void)setColor:(NSColor *)aColor;
- (float)width;
- (void)setWidth:(float)aWidth;

@end
